IntegrationsEmail (IMAP)

Fetch one message's headers and a bounded plain-text/HTML rendering.

POST
/integrations/connections/{connection_id}/providers/imap/messages/get

Fetch one message's headers and a bounded plain-text/HTML rendering.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/imap/messages/get" \  -H "Content-Type: application/json" \  -d '{    "uid": 1  }'
{  "uid": 0,  "message_id": "example",  "subject": "example",  "sender": "example",  "recipients": [],  "cc": [],  "date": "example",  "size": 0,  "seen": false,  "flags": [],  "text": "example",  "text_truncated": false,  "html": "example",  "html_truncated": false,  "has_attachments": false,  "attachment_count": 0,  "truncated": false}